 QTreeView::branch {
         background: palette(base);
 }

 QTreeView::branch:has-siblings:!adjoins-item {
     border-image: url(:pic/style/vline.png) 0;
 }

 QTreeView::branch:has-siblings:adjoins-item {
     border-image: url(:pic/style/branch-more.png) 0;
 }

 QTreeView::branch:!has-children:!has-siblings:adjoins-item {
     border-image: url(:pic/style/branch-end.png) 0;
 }

 QTreeView::branch:has-children:!has-siblings:closed,
 QTreeView::branch:closed:has-children:has-siblings {
         border-image: none;
         image: url(:pic/style/branch-closed.png);
 }

 QTreeView::branch:open:has-children:!has-siblings,
 QTreeView::branch:open:has-children:has-siblings  {
         border-image: none;
         image: url(:pic/style/branch-open.png);
 }
